mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.RandomNumberGenerator System.Runtime.InteropServices.ComVisible(true)

On Linux, and some UNIX derivate operating systems, the random numbers comes from /dev/random, or if not available, from /dev/urandom.

On Windows operating systems the random numbers comes directly from CryptoAPI.

Implements a cryptographic Random Number Generator (RNG) using the implementation provided by the cryptographic service provider (CSP). This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This method does not directly initialize the class. Calling this method is equivalent to calling the constructor and passing null.

  Initializes a new instance of the class.

  A byte array. This value is ignored.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono doesn't use the CspParameters informations, even on Windows, when creating an instance of this class using this constructor.

  Initializes a new instance of the class with the specified parameters.

  The parameters to pass to the cryptographic service provider (CSP).
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This method does not directly initialize the class. Calling this method is equivalent to calling the constructor and passing null.

  Initializes a new instance of the class.

  The string input. This parameter is ignored.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The length of the byte array determines how many cryptographically strong random bytes are produced.

  This method is thread safe.

  Fills an array of bytes with a cryptographically strong sequence of random values.

  The array to fill with a cryptographically strong sequence of random values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The length of the byte array determines how many cryptographically strong random nonzero bytes are produced.

  Fills an array of bytes with a cryptographically strong sequence of random nonzero values.

  The array to fill with a cryptographically strong sequence of random nonzero values.